headless lms

Remove a person's role on a content item

DELETE /api/organizations/people/{orgUserId}/roles/content/{contentId}. Remove a person's role on a content item. Headless LMS People API reference.

DELETE
/api/organizations/people/{orgUserId}/roles/content/{contentId}

Requires people:write.

Path Parameters

orgUserId*string
contentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/organizations/people/string/roles/content/string"
[  {    "orgUserId": "string",    "roleKey": "string",    "roleName": "string",    "contentId": "string",    "contentType": "course"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}